using Dolgozat_2024._09._12;

namespace Dolgozat_2024._09._12_GUI
{
    public partial class Form1 : Form
    {
        List<Eredmeny> futok = new List<Eredmeny>();
        public Form1()
        {
            InitializeComponent();
            StreamReader sr = new StreamReader("maratonvalto.csv");
            string[] line = sr.ReadLine().Split(";");

            while (!sr.EndOfStream)
            {
                line = sr.ReadLine().Split(";");
                Futo futo = new Futo(Convert.ToInt32(line[0]), line[1], Convert.ToInt32(line[2]), Convert.ToInt32(line[3]), Convert.ToInt32(line[4]), Convert.ToInt32(line[5]));
                Eredmeny eredmeny = new Eredmeny(Convert.ToInt32(line[6]), Convert.ToInt32(line[7]), futo);
                futok.Add(eredmeny);
                listBox1.Items.Add(line[1]);
            }

            sr.Close();


        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            foreach (var futo in futok)
            {
                if (listBox1.SelectedItem.ToString().Equals(futo.Versenyzo.Fnev))
                {
                    textBox1.Text = futo.Versenyzo.Fnev;
                    textBox2.Text = futo.Versenyzo.Fid.ToString();
                    textBox3.Text = $"{futo.Versenyzo.Szulev}-{futo.Versenyzo.Szulho}";
                    textBox4.Text = futo.Versenyzo.Csapat.ToString();
                    textBox5.Text = futo.Kor.ToString();
                    textBox6.Text = futo.Ido.ToString();
                }
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (var futo in futok)
            {
                if (futo.Versenyzo.Csapat == int.Parse(textBox4.Text) && !futo.Versenyzo.Fnev.Equals(textBox1.Text))
                {
                    listBox2.Items.Add(futo.Versenyzo.Fnev);
                }
            }
        }
    }
}
